<?php

namespace App\Events;

use App\Models\Payment;
use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Contracts\Broadcasting\ShouldBroadcastNow;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class SendUpdateStatus implements ShouldBroadcastNow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public function __construct(
        public Payment $payment
    ){
    }

    public function broadcastOn()
    {
        return [
            new Channel("donation.{$this->payment->id}"),
        ];
    }

    public function broadcastAs()
    {
        return 'donation';
    }

    public function broadcastWith()
    {
        return [
            'status' => $this->payment->status,
        ];
    }
}
