<?php

namespace App\Http\Actions\Payment;

use App\Models\Payment;
use App\Services\FIBService;
use Illuminate\Support\Carbon;

class CreatePaymentAction
{
    public function execute($amount) : Payment
    {
        $response = (new FIBService)->createPayment($amount);

        return Payment::create([
            'payment_id' => $response['paymentId'],
            'amount' => $amount,
            'readable_code' => $response['readableCode'],
            'qr_code' => $response['qrCode'],
            'valid_until' => Carbon::parse($response['validUntil'])->setTimezone(config('app.timezone'))->format('Y-m-d H:i:s'),
        ]);
    }
}