<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Carbon;

class CreatePaymentResource extends JsonResource
{
    public function toArray(Request $request): array
    {
        $now = Carbon::parse(now())->getTimestamp();
        $valid_until = Carbon::parse($this->valid_until)->subSeconds($now)->getTimestamp();

        return [
            'id' => $this->id,
            'readableCode' => $this->readable_code,
            'qrCode' => $this->qr_code,
            'personalAppLink' => $this->personal_app_link,
            'validUntil' => $valid_until * 1000,
            'amount' => $this->amount,
        ];
    }
}
