<?php

namespace App\Services;

use Illuminate\Support\Facades\Http;

class FIBService
{
    public function login() : string
    {
        return Http::asForm()
            ->withBasicAuth(
                config('services.fib.client_id'),
                config('services.fib.client_secret')
            )->post(config('services.fib.login'), ['grant_type' => config('services.fib.grant')])
            ->json()['access_token'];
    }

    public function createPayment($amount) : array
    {
        $token = $this->login();

        $data = [
            'monetaryValue' => [
                'amount' => $amount,
                'currency' => config('services.fib.currency')
            ],
            'statusCallbackUrl' => config('services.fib.callback') . "/payment/callback",
            'description' => "{$amount} IQD donation",
        ];

        return Http::asJson()
            ->withToken($token)
            ->post(config('services.fib.payment'), $data)
            ->json();
    }

    public function checkPayment($payment_id) : array 
    {
        $token = $this->login();
        return Http::withToken($token)->get(config('services.fib.payment')."/{$payment_id}/status")->json();
    }

}